Bug 189037 - databases/evolution-data-server: bad option helper for KERBEROS
Summary: databases/evolution-data-server: bad option helper for KERBEROS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-26 22:00 UTC by Barbara
Modified: 2014-04-29 22:10 UTC (History)
0 users

See Also:


Attachments
file.diff (736 bytes, patch)
2014-04-26 22:00 UTC, Barbara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara freebsd_committer 2014-04-26 22:00:01 UTC
According to how option helpers work, the following line is not correct:
	KERBEROS_CONFIGURE_WITH=	--with-krb5=/usr
as it should be:
	KERBEROS_CONFIGURE_WITH=	krb5=/usr
else it should get expanded as something like
	--with---with-krb5

Even fixing the helper it can't be used because running make configure after unchecking kerberos, should result in
	--without-krb5=/usr
which causes configure error.

Fix: The helper should be reverted as in the attached patch.
PORTREVISION should be bumped because of the incoherency between option and configure result.


Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/databases/evolution-data-server && make configure
with kerberos -> no kerberos
without kerberos -> configure error
Comment 1 Edwin Groothuis freebsd_committer 2014-04-26 22:00:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 barbara.freebsd 2014-04-28 18:56:25 UTC
Or even better, just replacing
KERBEROS_CONFIGURE_WITH with KERBEROS_CONFIGURE_ON
Comment 3 dfilter service freebsd_committer 2014-04-29 22:09:30 UTC
Author: kwm
Date: Tue Apr 29 21:09:26 2014
New Revision: 352644
URL: http://svnweb.freebsd.org/changeset/ports/352644
QAT: https://qat.redports.org/buildarchive/r352644/

Log:
  Fix kerberos enable/disable flags.
  
  PR:		ports/189037 (based on)
  Submitted by:	barbara@

Modified:
  head/databases/evolution-data-server/Makefile

Modified: head/databases/evolution-data-server/Makefile
==============================================================================
--- head/databases/evolution-data-server/Makefile	Tue Apr 29 21:05:43 2014	(r352643)
+++ head/databases/evolution-data-server/Makefile	Tue Apr 29 21:09:26 2014	(r352644)
@@ -44,7 +44,8 @@ WEATHER_DESC=	Weather calendar backend
 
 WEATHER_LIB_DEPENDS=	libgweather.so:${PORTSDIR}/net/libgweather
 WEATHER_CONFIGURE_WITH=	weather
-KERBEROS_CONFIGURE_WITH=	--with-krb5=/usr
+KERBEROS_CONFIGURE_WITH=	krb5=/usr
+KERBEROS_CONFGIURE_WITHOUT=	--without-krb5
 
 .include <bsd.port.options.mk>
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2014-04-29 22:09:39 UTC
State Changed
From-To: open->closed

Committed a simular fix.